#ifndef LD23_level2_h
#define LD23_level2_h
 
#include <SFML/Graphics.hpp>
#include "level.h"
#include "anim.h"

class Level2: public Level {
public:
  Level2();
  ~Level2();
  
  void startUp();
  void shutDown();  
  
  void render(sf::RenderTarget &target);
  void update(float dt);
  bool isFinished();
  
  void hideOrb();
  
  // input
  void click(int x, int y);
  void move(int x, int y);
  
  virtual sf::Sprite orb();
  
protected:
  struct Mushroom {
    sf::Sprite sprite;
    sf::Rect<int> hotspot;
    Anim anim;
    bool goingDown;
    bool down;
  };
  
  std::vector<Mushroom> mMushrooms;
  sf::Sprite mBase;
  sf::Sprite mOrb;
  
  bool mHideOrb;
  bool mAllMushroomsDown;
  
  int mNumMushroomsDown;
  bool mFinished;
};

#endif
